import pygame
from pygame.locals import *
import os, sys
from lib.SpriteManager import SpriteManager
import lib.PhysicsManager

class Solapa(SpriteManager):

    def __init__(self, core):
        self.core = core
        SpriteManager.__init__(self)
        self.loadSprites()
        self.defaultSurface(self.solapa)
        self.initialPosition(0,-self.solapa.getFrame().get_rect().height)

        self.physic=lib.PhysicsManager.Physic(0,60,60)  #1 pixel por frame, 60 por segundo.
        self.speedVect.vect=[0,40]             #Lanzamiento!
        


    def loadSprites(self):
        self.solapa = self.getAnimation("game"+os.path.sep+"intro"+os.path.sep+"images"+os.path.sep+"solapa", 'solapa')


    def controls(self, action):

        pass

    def ia(self):
        # bajamos la solapa

        if pygame.time.get_ticks() > 1000:
            top = self.core.screen_height - self.solapa.getFrame().get_rect().height
            if self.rect.top <= top:
                
                self.physic.applyGravity(self)
                if self.max_rect().top > 0:
                    self.rect.top = 0

        

            

